package solr-tomcat 1.4.1+dfsg1-2ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #1055489 reported by Dan Fournier
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
solr (Ubuntu)
New
Undecided
Unassigned

Bug Description

#!/bin/sh

set -e

# If proper permissions for the stuff under /var/lib/solr haven't
# been set, set them now

case "$1" in
    configure)

        # fixup for upgrade from solr-tomcat55, wich makes this tomcat55:root 750
        chown root:root /var/lib/solr
        chmod 755 /var/lib/solr

        chown -R tomcat6:tomcat6 /var/lib/solr/data
        chmod -R 770 /var/lib/solr/data

        ln -sf /etc/solr/tomcat.policy /etc/tomcat6/policy.d/05solr.policy

    ;;

    abort-upgrade|abort-remove|abort-deconfigure)

    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;

esac

invoke-rc.d --quiet tomcat6 restart || {
    RESULT=$?
    # Ignore if tomcat6 init script does not exist (yet)
    if [ $RESULT != 100 ]; then
 exit $RESULT
    fi
}

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: solr-tomcat 1.4.1+dfsg1-2ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
Uname: Linux 3.2.0-30-generic x86_64
ApportVersion: 2.0.1-0ubuntu13
Architecture: amd64
Date: Mon Sep 24 07:42:52 2012
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1)
PackageArchitecture: all
SourcePackage: solr
Title: package solr-tomcat 1.4.1+dfsg1-2ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Dan Fournier (danfourn-gmail) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.